{% extends "admin/layout.html.twig" %}
{% set title='Zamówienie' %}
{% block content %}
{% if not editable %}
<div class="alert alert-danger alert-dismissible">
	<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
	<h4>
		<i class="icon fa fa-lock"></i> Głosowanie zamknięte
	</h4>
	To zlecenie zostało już przekazane do realizacji i nie może być zmienione
</div>
{% endif %}
{% if changed %}
<div class="alert alert-success alert-dismissible">
	<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
	<h4>
		<i class="icon fa fa-check"></i> Ok!
	</h4>
	Przyjeliśmy Twoje zamówienie. Życzymy smacznego!
</div>
{% endif %}

<div class="box box-success">
	<div class="box-header with-border">
		<i class="fa fa-gear"></i>
		<h3 class="box-title">{{ menu.name }}</h3>
		{% if menu.description %}<p>{{ menu.description }}</p>{% endif %}
		Wybór pozycji możliwy do {{ menu.valid_until }}
	</div>
	<!-- /.box-header -->
	<div class="box-body">
		<table class="table table-bordered table-striped">
			<thead>
				<tr>
					<th>#</th>
					<th>Nazwa</th>
					<th>Opis</th>
					<th>Cena</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				{% for menu_item in menu_items %}
				<tr>
					<td>{{ menu_item.item_number|e }}</td>
					<td>{{ menu_item.name|e }}</td>
					<td>{{ menu_item.description|e }}</td>
					<td>{{ menu_item.price|e }}</td>
					<td>{% if menu_item.id == id_menu_item %}
						<button class="btn btn-success">Wybrane</button>
						{% elseif editable %}
						<a role="button" class="btn btn-default" href="{{ path_for("company/user/order", {'company':company.getName(),'user':user.id,'menu':menu.id,'item':menu_item.id}) }}">Zamów</a>
						{% endif %}
					</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	{% if id_menu_item and editable %}
	<div class="box-footer">
		<a role="button" class="btn btn-danger" href="{{ path_for("company/user/order", {'company':company.getName(),'user':user.id,'menu':menu.id,'item':0}) }}">Anuluj</a>
	</div>
	{% endif %}
	<!-- /.box -->
</div>


	
{% endblock content %}